Skip to main content
GET
Average Per Game Player Stats

Authorizations

apiKey
string
query
required

Path Parameters

id
integer
required

Numeric ID of the player to get average per game player stats for

Query Parameters

fields
enum<string>[]

Specify custom response with available response fields.


Fields included as default: id, player, playerAge, season, statsType, status, team, teamName, teamLogo, teamLogoUrl, league, leagueName, leagueFullName, leagueType, jerseyNumber, playerRole, contractType, regularStats, postseasonType, postseasonName, postseasonStats, totalStats, statsProvider, coaches, isActiveSeason, updatedAt

Available options:
id,
player,
playerAge,
season,
statsType,
status,
team,
teamName,
teamLogo,
teamLogoUrl,
league,
leagueName,
leagueFullName,
leagueType,
jerseyNumber,
playerRole,
contractType,
regularStats,
postseasonType,
postseasonName,
postseasonStats,
totalStats,
statsProvider,
coaches,
isActiveSeason,
updatedAt,
player.*,
season.*,
team.*,
teamLogo.*,
league.*,
regularStats.*,
postseasonStats.*,
totalStats.*,
statsProvider.*,
coaches.*,
*
offset
integer
default:0

The number of items to skip before starting to collect the result set.

Required range: x >= 0
limit
integer
default:100

The number of items to return.

Required range: 0 <= x <= 1000
sort
enum<string>[]

Sort results by field name. Prefix with - for descending order (e.g., -name).

Available options:
player,
-player,
player.position,
-player.position,
player.nationality,
-player.nationality,
player.age,
-player.age,
player.dateOfBirth,
-player.dateOfBirth,
player.weight,
-player.weight,
player.height,
-player.height,
player.youthTeam,
-player.youthTeam,
player.shoots,
-player.shoots,
player.catches,
-player.catches,
player.contract,
-player.contract,
player.capHit,
-player.capHit,
jerseyNumber,
-jerseyNumber,
playerRole,
-playerRole,
team,
-team,
league,
-league,
season,
-season,
regularStats.GP,
-regularStats.GP,
regularStats.G,
-regularStats.G,
regularStats.A,
-regularStats.A,
regularStats.PTS,
-regularStats.PTS,
regularStats.PIM,
-regularStats.PIM,
postseasonStats.GP,
-postseasonStats.GP,
postseasonStats.G,
-postseasonStats.G,
postseasonStats.A,
-postseasonStats.A,
postseasonStats.PTS,
-postseasonStats.PTS,
postseasonStats.PIM,
-postseasonStats.PIM,
totalStats.GP,
-totalStats.GP,
totalStats.G,
-totalStats.G,
totalStats.A,
-totalStats.A,
totalStats.PTS,
-totalStats.PTS,
totalStats.PIM,
-totalStats.PIM,
coaches.headCoaches,
-coaches.headCoaches,
coaches.assistantCoaches,
-coaches.assistantCoaches,
coaches.goaltendingCoaches,
-coaches.goaltendingCoaches,
updatedAt,
-updatedAt
id
integer[]

Filter by id

id:gt
integer

Filter by id greater than

statsType
enum<string>[]

Filter by statsType

Available options:
default,
projected
status
enum<string>

Filter by status

Available options:
rostered,
not-active-on-team,
not-active
status:not
enum<string>

Filter by status not equal to

Available options:
rostered,
not-active-on-team,
not-active
league
string

Filter by league slug

league:not
string

Filter by league slug not equal to

leagueType
enum<string> | null

Filter by leagueType

Available options:
league,
cup,
null
season
string

Filter by season slug

season:not
string

Filter by season slug not equal to

season:from
string

Filter by season slug greater or equal to

season:to
string

Filter by season slug less than or equal to

postseasonType
string

Filter by postseasonType slug

team
integer

Filter by team ID

team:not
integer

Filter by team ID not equal to

team.teamType
enum<string>

Filter by team.teamType

Available options:
club,
international
team.country
string

Filter by team.country slug in ISO 3166-1 alpha-3

team.country:not
string

Filter by team.country slug not equal to in ISO 3166-1 alpha-3

team.continent
enum<string> | null

Filter by team.continent

Available options:
INT,
AF,
AN,
AS,
EU,
NA,
OC,
SA,
null
player
integer

Filter by player ID

player.nationality
string

Filter by player.nationality slug in ISO 3166-1 alpha-3

player.playerType
enum<string>

Filter by player.playerType

Available options:
GOALTENDER,
SKATER
player.position
enum<string> | null

Filter by player.position

Available options:
G,
D,
F,
null
player.position:not
enum<string> | null

Filter by player.position not equal to

Available options:
G,
D,
F,
null
playerRole
enum<string> | null

Filter by playerRole

Available options:
C,
A,
null
player.status
enum<string>

Filter by player.status

Available options:
active,
inactive,
retired,
deceased
player.age
string

Filter by player.age in In UTC

player.birthYear:min
integer

Filter by player.birthYear greater or equal to

player.yearOfBirth:max
integer

Filter by player.yearOfBirth less than or equal to

player.placeOfBirth
string

Filter by player.placeOfBirth

player.dateOfBirth
string

Filter by player.dateOfBirth

player.youthTeam
string

Filter by player.youthTeam

player.height.metrics:min
integer

Filter by player.height.metrics greater or equal to

player.height.imperial:min
string

Filter by player.height.imperial greater or equal to

player.height.metrics:max
integer

Filter by player.height.metrics less than or equal to

player.height.imperial:max
string

Filter by player.height.imperial less than or equal to

player.weight.metrics:min
integer

Filter by player.weight.metrics greater or equal to

player.weight.imperial:min
integer

Filter by player.weight.imperial greater or equal to

player.weight.metrics:max
integer

Filter by player.weight.metrics less than or equal to

player.weight.imperial:max
integer

Filter by player.weight.imperial less than or equal to

player.contract
string

Filter by player.contract

player.gameStatus
enum<string>[]

Filter by player.gameStatus

Available options:
healthy,
injured,
suspended
regularStats.GP:min
integer

Filter by regularStats.GP greater or equal to

regularStats.GP:max
integer

Filter by regularStats.GP less than or equal to

postseasonStats.GP:min
integer

Filter by postseasonStats.GP greater or equal to

postseasonStats.GP:max
integer

Filter by postseasonStats.GP less than or equal to

totalStats.GP:min
integer

Filter by totalStats.GP greater or equal to

totalStats.GP:max
integer

Filter by totalStats.GP less than or equal to

updatedAt:min
string<date-time>

Filter by updatedAt greater or equal to in ISO-8601 format for date and time

Response

200 - application/json

A paginated list of average per game player stats.

_meta
object
data
object[]